### Method

# EDataBook DataBookViewWatcherMemory set_locale

since: 3.50

#### Declaration [src]

    void
    e_data_book_view_watcher_memory_set_locale (
      EDataBookViewWatcherMemory* self,
      const gchar* locale
    )

#### Description [src]

Sets a locale to use for sorting. When `NULL`, or when cannot use the provided locale, tries to use the system locale.

Available since: 3.50

#### Parameters

`locale`

  Type: `const gchar*`

  A locale to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.